package scopes

import (
	"git.sr.ht/~cco/go-scopes/app"
	"git.sr.ht/~cco/go-scopes/lib"
	"git.sr.ht/~cco/go-scopes/lib/context"
	"git.sr.ht/~cco/go-scopes/logging"
)

func RunApp(cfg lib.Config) {
	ctx := context.AppContext(cfg)
	appCfg := cfg.(*app.Cfg)
	logging.Setup(ctx, appCfg.Logging, appCfg.Home)
	cfg.Starter()(ctx)
	ctx.WaitGroup().Wait()
}
